export interface Note {
	id: string;
	title: string;
	content: string;
	createdAt: Date;
	updatedAt: Date;
	linksTo?: Note[];
	linkedBy?: Note[];
}

export interface Feed {
	id: string;
	title: string;
	url: string;
	description?: string;
	siteUrl?: string;
	imageUrl?: string;
	lastFetched?: Date;
	createdAt: Date;
	updatedAt: Date;
	entries?: FeedEntry[];
}

export interface FeedEntry {
	id: string;
	feedId: string;
	title: string;
	url: string;
	content: string;
	summary: string;
	author: string;
	published: Date;
	updated: Date;
	readAt?: Date;
	fullContent?: string;
	createdAt: Date;
	updatedAt: Date;
}

export interface ReadLaterItem {
	id: string;
	url: string;
	title: string;
	content: string;
	description: string;
	createdAt: Date;
	updatedAt: Date;
	readAt?: Date;
	archivedAt?: Date;
}

export interface CardAction {
	icon: string;
	label: string;
	href?: string;
	target?: string;
	onClick?: () => void | Promise<void>;
	isDangerous?: boolean;
}

export interface CardRenderOptions {
	title: string;
	description?: string;
	timestamp?: Date;
	image?: string;
	actions?: CardAction[];
}
