import { test, expect } from '@playwright/test';

// This suite holds general interface tests, including mobile navigation

test.describe('Interface', () => {
	test('handles mobile navigation correctly', async ({ page }) => {
		// Set viewport to mobile size
		await page.setViewportSize({ width: 375, height: 667 });
		await page.goto('/');

		// Check that mobile navigation is visible
		await expect(page.locator('.navbar.is-fixed-bottom')).toBeVisible();

		// Navigate between sections
		await page.click('text=Feeds');
		await expect(page).toHaveURL('/feeds');

		await page.click('text=Read Later');
		await expect(page).toHaveURL('/readlist');

		await page.click('text=Notes');
		await expect(page).toHaveURL('/');
	});
});
